com.amazonaws.services.codecommit.model

## Class GetRepositoryTriggersResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codecommit.model.GetRepositoryTriggersResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class GetRepositoryTriggersResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a get repository triggers operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GetRepositoryTriggersResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetRepositoryTriggersResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getConfigurationId()` The system-generated unique ID for the trigger.
`List<RepositoryTrigger>` `getTriggers()` The JSON block of configuration information for each trigger.
`int` `hashCode()`
`void` `setConfigurationId(String configurationId)` The system-generated unique ID for the trigger.
`void` `setTriggers(Collection<RepositoryTrigger> triggers)` The JSON block of configuration information for each trigger.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetRepositoryTriggersResult` `withConfigurationId(String configurationId)` The system-generated unique ID for the trigger.
`GetRepositoryTriggersResult` `withTriggers(Collection<RepositoryTrigger> triggers)` The JSON block of configuration information for each trigger.
`GetRepositoryTriggersResult` `withTriggers(RepositoryTrigger... triggers)` The JSON block of configuration information for each trigger.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetRepositoryTriggersResult

    public GetRepositoryTriggersResult()

### Method Detail

#### setConfigurationId

    public void setConfigurationId(String configurationId)

The system-generated unique ID for the trigger.

Parameters:
  `configurationId` - The system-generated unique ID for the trigger.

#### getConfigurationId

    public String getConfigurationId()

The system-generated unique ID for the trigger.

Returns:
  The system-generated unique ID for the trigger.

#### withConfigurationId

    public GetRepositoryTriggersResult withConfigurationId(String configurationId)

The system-generated unique ID for the trigger.

Parameters:
  `configurationId` - The system-generated unique ID for the trigger.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getTriggers

    public List<RepositoryTrigger> getTriggers()

The JSON block of configuration information for each trigger.

Returns:
  The JSON block of configuration information for each trigger.

#### setTriggers

    public void setTriggers(Collection<RepositoryTrigger> triggers)

The JSON block of configuration information for each trigger.

Parameters:
  `triggers` - The JSON block of configuration information for each trigger.

#### withTriggers

    public GetRepositoryTriggersResult withTriggers(RepositoryTrigger... triggers)

The JSON block of configuration information for each trigger.

NOTE: This method appends the values to the existing list (if any). Use `setTriggers(java.util.Collection)` or `withTriggers(java.util.Collection)` if you want to override the existing values.

Parameters:
  `triggers` - The JSON block of configuration information for each trigger.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withTriggers

    public GetRepositoryTriggersResult withTriggers(Collection<RepositoryTrigger> triggers)

The JSON block of configuration information for each trigger.

Parameters:
  `triggers` - The JSON block of configuration information for each trigger.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetRepositoryTriggersResult clone()

Overrides:
  `clone` in class `Object`